      subroutine mulcvcv(x1,a1,y1,b1,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(3)
      integer x1,y1,a1,b1
      integer x,y,z,a,b
      if(w)print*,'coucou'
      if ((itype(a1)==3).and.(itype(b1)==3)) then
      call mulcvcvd(x1,a1,y1,b1,aa(1))
      call mulcvcvd(x1,b1,y1,a1,aa(1))
      call mulcvcvd(y1,a1,x1,b1,aa(1))
      call mulcvcvd(y1,b1,x1,a1,aa(1))
      elseif((itype(x1)==3).and.(itype(y1)==3)) then
          x=a1
          a=x1
          y=b1
          b=y1
      call mulcvcvd(x,a,y,b,aa(1))
      call mulcvcvd(x,b,y,a,aa(1))
      call mulcvcvd(y,a,x,b,aa(1))
      call mulcvcvd(y,b,x,a,aa(1))
      elseif ((itype(x1)==3).and.(itype(a1)==3)) then
          x=b1
          a=a1
          y=y1
          b=x1
      call mulcvcvd(x,a,y,b,aa(3))
      call mulcvcvd(x,b,y,a,aa(3))
      call mulcvcvd(y,a,x,b,aa(3))
      call mulcvcvd(y,b,x,a,aa(3))
      elseif ((itype(x1)==3).and.(itype(b1)==3)) then
          x=a1
          a=x1
          y=y1
          b=b1
      call mulcvcvd(x,a,y,b,aa(2))
      call mulcvcvd(x,b,y,a,aa(2))
      call mulcvcvd(y,a,x,b,aa(2))
      call mulcvcvd(y,b,x,a,aa(2))
       elseif ((itype(y1)==3).and.(itype(b1)==3)) then
          x=x1
          a=y1
          y=a1
          b=b1
      call mulcvcvd(x,a,y,b,aa(3))
      call mulcvcvd(x,b,y,a,aa(3))
      call mulcvcvd(y,a,x,b,aa(3))
      call mulcvcvd(y,b,x,a,aa(3))
       elseif ((itype(y1)==3).and.(itype(a1)==3)) then
          x=x1
          y=a1
          a=b1
          b=y1
      call mulcvcvd(x,a,y,b,aa(2))
      call mulcvcvd(x,b,y,a,aa(2))
      call mulcvcvd(y,a,x,b,aa(2))
      call mulcvcvd(y,b,x,a,aa(2))
       endif
      !call mulcccvd(a,l,k,j,aa(1))
      !call mulcccvd(a,j,l,k,aa(2))
      !call mulcccvd(a,k,l,j,aa(2))
      !call mulcccvd(a,k,j,l,aa(3))
      !call mulcccvd(a,l,j,k,aa(3))
      !if(k.ne.l) call mulcccvx(j,a,l,k,aa(1)-aa(2))
      !if(k.ne.l) call mulcccvx(j,a,l,k,aa(1)-aa(3))
      !if(k.ne.l) call mulcccvx(j,a,k,l,aa(2)-aa(3))
      return
      end
